<?php
namespace Ak\Orm\Entity;

use Doctrine\ORM\Mapping as ORM;
use Laminas\Form\Annotation as Form;

/**
 * Osnovni entitet.
 *
 * @package Ak\Orm\Entity
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/orm
 *
 * @Form\Type("Ak\Orm\Form\EntityForm")
 */
abstract class AbstractEntity implements EntityInterface
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\Column(name="id", type="bigint", options={"unsigned": true})
     * @Form\Exclude()
     */
    protected ?int $id = null;

    /**
     * Vraća ID ovog entiteta.
     *
     * @return int|null
     */
    public function getId(): ?int
    {
        return $this->id;
    }
}
