<?php
namespace Ak\Orm\Form;

use Ak\Orm\Hydrator\HydratedObjectHydrator;
use Laminas\Form\Form;
use Laminas\Hydrator\HydratorAwareInterface;
use Laminas\Hydrator\HydratorInterface;

/**
 * Obrazac za uređivanje entiteta.
 *
 * @package Ak\Orm\Form
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/orm
 */
class EntityForm extends Form
{
    /**
     * Inicijalizacija.
     */
    public function init()
    {
        parent::init();

        $this->add([
            'type' => 'submit',
            'name' => 'action',
            'attributes' => [
                'value' => 'save',
            ],
            'options' => [
                'label' => 'Spremi',
            ],
        ], [
            'priority' => -100
        ]);
    }

    /**
     * @return HydratorInterface
     */
    public function getHydrator(): HydratorInterface
    {
        if (!$this->hydrator instanceof HydratorInterface) {
            if ($this->object instanceof HydratorAwareInterface) {
                $this->setHydrator($this->object->getHydrator());
            } else {
                $this->setHydrator(new HydratedObjectHydrator());
            }
        }

        return $this->hydrator;
    }
}
