<?php
namespace Ak\Orm\Service;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Initializer\InitializerInterface;

/**
 * Class AnnotationReaderAwareInitializer
 *
 * @package Ak\Orm\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/orm
 */
final class AnnotationReaderAwareInitializer implements InitializerInterface
{
    /**
     * Initialize the given instance
     *
     * @param  ContainerInterface $container
     * @param  object $instance
     * @return void
     */
    public function __invoke(ContainerInterface $container, $instance)
    {
        if (method_exists($instance, 'setAnnotationReader')) {
            $reader = $container->get('orm.annotation_reader');
            $instance->setAnnotationReader($reader);
        }
    }
}
