<?php
declare(strict_types=1);

namespace Ak\Orm\Service;

use Psr\Container\ContainerInterface;

/**
 * Class RepositoryFactoryFactory
 *
 * @package Ak\Orm\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/ak-orm
 */
final class RepositoryFactoryFactory
{
    public function __invoke(ContainerInterface $container): RepositoryFactory
    {
        return new RepositoryFactory(
            $container->get(RepositoryPluginManager::class),
        );
    }
}
