<?php
declare(strict_types=1);

namespace Ak\Orm\Service;

use Laminas\ServiceManager\PluginManagerInterface;
use Psr\Container\ContainerInterface;

/**
 * Class RepositoryPluginManagerFactory
 *
 * @package Ak\Orm\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/ak-orm
 */
final class RepositoryPluginManagerFactory
{
    /**
     * @param ContainerInterface $container
     * @return PluginManagerInterface
     */
    public function __invoke(ContainerInterface $container): PluginManagerInterface
    {
        $config = $container->has('config') ? $container->get('config') : [];

        return new RepositoryPluginManager(
            $container,
            $config['orm_repositories'] ?? [],
        );
    }
}
