<?php
namespace AkTest\Orm\Entity;

use Ak\Orm\Entity\AbstractEntity;
use Ak\Orm\Mapping\DiscriminatorEntry;
use Doctrine\ORM\Mapping as ORM;

/**
 * Class Person
 *
 * @package AkTest\Orm\Entity
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/orm
 *
 * @ORM\Entity()
 * @ORM\InheritanceType("SINGLE_TABLE")
 * @ORM\DiscriminatorColumn(name="type")
 * @DiscriminatorEntry("person")
 * @ORM\Table(name="person")
 */
class Person extends AbstractEntity
{
    /**
     * @ORM\Column(type="string", nullable=true)
     */
    protected ?string $name = null;
}
