<?php
namespace AkTest\Orm\Service;

use Ak\Orm\ConfigProvider;
use Ak\Orm\Service\ConfigurationFactory;
use Ak\Test\AbstractTestCase;
use AkTest\Orm\TestConfigProvider;
use Doctrine\ORM\Configuration;
use Doctrine\ORM\Mapping\ClassMetadataFactory;

/**
 * Class ConfigurationFactoryTest
 *
 * @package AkTest\Orm\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/orm
 */
final class ConfigurationTest extends AbstractTestCase
{
    protected array $providers = [
        ConfigProvider::class,
        TestConfigProvider::class,
    ];

    public function testIsRegistered()
    {
        $container = $this->getContainer();

        $this->assertContainerHasService($container, 'orm.configuration', Configuration::class);
    }

    public function testCanCreateTheConfiguration()
    {
        $container = $this->getContainer();
        $factory = new ConfigurationFactory();

        $configuration = $factory($container, '');

        $this->assertInstanceOf(Configuration::class, $configuration);

        $cache = $container->get('orm.cache');
        $this->assertSame($cache, $configuration->getMetadataCache());
        $this->assertEquals(ClassMetadataFactory::class, $configuration->getClassMetadataFactoryName());
    }
}
