<?php
namespace AkTest\Orm\Type;

use Ak\Orm\Entity\AbstractEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * Class HydratedObjectEntity
 *
 * @package AkTest\Orm\Type
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/orm
 *
 * @ORM\Entity()
 * @ORM\Table(name="hydrated_object")
 */
class HydratedObjectEntity extends AbstractEntity
{
    /**
     * @ORM\Column(type="hydrated_object")
     */
    protected HydratedObjectParams $params;

    /**
     * @ORM\Column(type="hydrated_object", nullable=true)
     */
    protected ?HydratedObjectParams $nullable = null;

    public function __construct(HydratedObjectParams $params = null)
    {
        $this->params = $params ?? new HydratedObjectParams();
    }

    /**
     * @return HydratedObjectParams
     */
    public function getParams(): HydratedObjectParams
    {
        return $this->params;
    }
}
